---
lang: en
title: 'API docs: http-caching-proxy.proxyoptions.timeout'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-caching-proxy
permalink: /doc/en/lb4/apidocs.http-caching-proxy.proxyoptions.timeout.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [ProxyOptions](./http-caching-proxy.proxyoptions.md) &gt; [timeout](./http-caching-proxy.proxyoptions.timeout.md)

## ProxyOptions.timeout property

Timeout to connect to the target service

**Signature:**

```typescript
timeout?: number;
```

